=== removed file 'Makefile'
--- Makefile	2012-01-10 11:16:56 +0000
+++ Makefile	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-check:
-	python -m unittest grackle.tests.test_client

=== modified file 'README.txt'
--- README.txt	2012-01-10 11:16:56 +0000
+++ README.txt	2012-01-10 10:46:26 +0000
@@ -2,5 +2,3 @@
 
 To propose changes, please upload a branch to Launchpad and propose a merge
 into lp:grackle.  Code should follow PEP8.
-
-To run the tests, run "make check".

=== modified file 'grackle/client.py'
--- grackle/client.py	2012-01-10 14:41:33 +0000
+++ grackle/client.py	2012-01-10 11:06:36 +0000
@@ -1,32 +1,2 @@
-import httplib
-from urlparse import urlunparse
-from urllib import quote
-
-
-def message_path(archive_name, message_id):
-    return '/%s/%s' % (quote(archive_name), quote(message_id))
-
-
-class GrackleClient:
-
-    def __init__(self, host, port):
-        self.host = host
-        self.port = port
-
-    def message_url(self, archive_name, message_id):
-        netloc = '%s:%d' % (self.host, self.port)
-        path = message_path(archive_name, message_id)
-        return urlunparse(('http', netloc, path, '', '', ''))
-
-    def put_message(self, archive_name, message_id, file_obj):
-        url = self.message_url(archive_name, message_id)
-        connection = httplib.HTTPConnection(self.host, self.port)
-        connection.request('PUT', url, file_obj.read())
-        response = connection.getresponse()
-        data = response.read()
-        if response.status == httplib.BAD_REQUEST:
-            raise Exception('wtf')
-        elif response.status == httplib.CREATED:
-            return
-        else:
-            raise Exception('!!')
+def put_message(archive_name, fileobj):
+    pass

=== removed directory 'grackle/tests'
=== removed file 'grackle/tests/__init__.py'
=== removed file 'grackle/tests/test_client.py'
--- grackle/tests/test_client.py	2012-01-10 14:44:37 +0000
+++ grackle/tests/test_client.py	1970-01-01 00:00:00 +0000
@@ -1,70 +0,0 @@
-from BaseHTTPServer import (
-    HTTPServer,
-    BaseHTTPRequestHandler,
-    )
-import httplib
-import os
-from signal import SIGKILL
-from StringIO import StringIO
-from unittest import TestCase
-
-from testtools import ExpectedException
-
-from grackle.client import (
-    GrackleClient,
-    message_path,
-    )
-
-
-class Forked:
-
-    def __init__(self, func_or_method, *args):
-        self.func_or_method = func_or_method
-        self.pid = None
-        self.args = args
-
-    def __enter__(self):
-        pid = os.fork()
-        if pid != 0:
-            self.pid = pid
-            return
-        self.func_or_method(*self.args)
-
-
-    def __exit__(self, exc_type, exc_val, traceback):
-        os.kill(self.pid, SIGKILL)
-
-
-class FakeGrackleRequestHandler(BaseHTTPRequestHandler):
-
-    def do_PUT(self):
-        message = self.rfile.read(int(self.headers['content-length']))
-        if message == 'This is a message':
-            self.send_response(httplib.CREATED)
-            self.end_headers()
-            self.wfile.close()
-        else:
-            self.send_error(httplib.BAD_REQUEST)
-
-
-def run_service(port):
-    service = HTTPServer(('', port), FakeGrackleRequestHandler)
-    service.serve_forever()
-
-
-
-class TestPutMessage(TestCase):
-
-    def test_put_message(self):
-        client = GrackleClient('localhost', 8435)
-        with Forked(run_service, client.port):
-            client.put_message('arch1', 'asdf', StringIO('This is a message'))
-            with ExpectedException(Exception, 'wtf'):
-                client.put_message('arch1', 'asdf',
-                    StringIO('This is not a message'))
-
-
-class TestMessagePath(TestCase):
-
-    def test_message_path(self):
-        self.assertEqual('/my%20/%3C', message_path('my ', '<'))

